Can someone help me? Error after update to beta


#1

Hello,
After I update my application to Ionic Beta, I have error:

Error: [$injector:modulerr] Failed to instantiate module okEnvato due to:
[$injector:unpr] Unknown provider: $ionicAppProvider
http://errors.angularjs.org/1.5.3/$injector/unpr?p0=%24ionicAppProvider
minErr/<@http://localhost:8100/lib/ionic/js/ionic.bundle.js:13438:12
createInjector/providerCache.$injector<@http://localhost:8100/lib/ionic/js/ionic.bundle.js:17788:19
getService@http://localhost:8100/lib/ionic/js/ionic.bundle.js:17941:39
injectionArgs@http://localhost:8100/lib/ionic/js/ionic.bundle.js:17965:58
invoke@http://localhost:8100/lib/ionic/js/ionic.bundle.js:17987:18
runInvokeQueue@http://localhost:8100/lib/ionic/js/ionic.bundle.js:17888:11
loadModules/<@http://localhost:8100/lib/ionic/js/ionic.bundle.js:17897:11
forEach@http://localhost:8100/lib/ionic/js/ionic.bundle.js:13691:11
loadModules@http://localhost:8100/lib/ionic/js/ionic.bundle.js:17878:5
createInjector@http://localhost:8100/lib/ionic/js/ionic.bundle.js:17800:19
bootstrap/doBootstrap@http://localhost:8100/lib/ionic/js/ionic.bundle.js:15080:20
bootstrap@http://localhost:8100/lib/ionic/js/ionic.bundle.js:15101:12
angularInit@http://localhost:8100/lib/ionic/js/ionic.bundle.js:14986:5
@http://localhost:8100/lib/ionic/js/ionic.bundle.js:44079:5
n.Callbacks/i@http://localhost:8100/lib/jquery/dist/jquery.min.js:2:27146
n.Callbacks/j.fireWith@http://localhost:8100/lib/jquery/dist/jquery.min.js:2:27914
.ready@http://localhost:8100/lib/jquery/dist/jquery.min.js:2:29705
J@http://localhost:8100/lib/jquery/dist/jquery.min.js:2:29890
EventListener.handleEvent*n.ready.promise@http://localhost:8100/lib/jquery/dist/jquery.min.js:2:30058
@http://localhost:8100/lib/jquery/dist/jquery.min.js:2:30144
@http://localhost:8100/lib/jquery/dist/jquery.min.js:2:207
@http://localhost:8100/lib/jquery/dist/jquery.min.js:2:2

I remover from my project ionic-core.js, ionic-push.js, ionic-analytics.js and I installed ionic-platform-web-client.

But after that I have error :confused:

In my index.html:

<script src="lib/ionic/js/ionic.bundle.js"></script>
<script src="lib/ionic-platform-web-client/dist/ionic.io.bundle.min.js"></script>
<script src="lib/ngCordova/dist/ng-cordova.js"></script>
… etc.

Can someone help me please.

Regards,
Krzysiek


#2

This plugin is only for Ionic 2 not Ionic 1?

I really don’t know where is problem :confused: